net.sourceforge.pmd.lang.jsp.ast

## Class ASTAttributeValue

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractNode
  - - net.sourceforge.pmd.lang.jsp.ast.AbstractJspNode
    - - net.sourceforge.pmd.lang.jsp.ast.ASTAttributeValue

- All Implemented Interfaces:
    Node, JspNode

      public class ASTAttributeValue
      extends AbstractJspNode

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.lang.jsp.ast.AbstractJspNode

      `parser`

    - ### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

      `beginColumn, beginLine, children, endColumn, endLine, id, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASTAttributeValue(int id)`
    `ASTAttributeValue(JspParser p, int id)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `jjtAccept(JspParserVisitor visitor, Object data)` Accept the visitor

    - ### Methods inherited from class net.sourceforge.pmd.lang.jsp.ast.AbstractJspNode

      `childrenAccept, jjtClose, jjtOpen, toString`

    - ### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

      `appendElement, findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDecendantOfAnyType, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, isSingleLine, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData, testingOnly__setBeginColumn, testingOnly__setBeginLine, testingOnly__setEndColumn, testingOnly__setEndLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.sourceforge.pmd.lang.ast.Node

      `findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData`

- - ### Constructor Detail

    - #### ASTAttributeValue

          public ASTAttributeValue(int id)

    - #### ASTAttributeValue

          public ASTAttributeValue(JspParser p,
                           int id)

  - ### Method Detail

    - #### jjtAccept

          public Object jjtAccept(JspParserVisitor visitor,
                         Object data)

      Accept the visitor. *
      Specified by:
        `jjtAccept` in interface `JspNode`
      Overrides:
        `jjtAccept` in class `AbstractJspNode`

Copyright © 2002-2013 InfoEther. All Rights Reserved.